.tip-modal {
  padding: 3rem 5rem;

  .title {
    font-size: 2.6rem;
    font-weight: bold;
  }

  .balance,
  .balance-value {
    font-size: 3rem;
    font-weight: bold;
  }

  .balance {
    color: #959494;
    margin-right: 0.8rem;
  }

  .balance-value {
    color: #656565;
  }

  .treasure-img {
    width: 14rem;
  }

  .tip-amount {
    font-size: 5.5rem;
    font-weight: bold;
    color: #f4a91c;
    width: 20rem;
    padding: 0 2.5rem;

    input {
      border: none;
      width: 100%;
      color: $color-orange;
      text-align: center;

      &:focus {
        outline: none;
      }
    }
  }

  .info {
    color: #959494;
    margin-top: 2rem;
  }

  .slider-wrapper {
    position: relative;
    margin: 3rem auto 0 auto;
    width: 80%;

    .circle1,
    .circle2,
    .circle3,
    .circle4,
    .circle5 {
      position: absolute;
      top: 0;
      width: 0.8rem;
      height: 0.8rem;
      background: #cbcbcb;
      border-radius: 50%;
      transform: translate(-100%, -25%);
    }

    .circle1 {
      left: 21%;
    }

    .circle2 {
      left: 40%;
    }

    .circle3 {
      left: 60%;
    }

    .circle4 {
      left: 80%;
    }

    .circle5 {
      left: 100%;
    }
  }

  .slider {
    display: block;
    -webkit-appearance: none;
    appearance: none;
    height: 0.4rem;
    border-radius: 1rem;
    width: 100%;
    background: linear-gradient(to right, #f36621 0%, #f36621 1%, #eeeeee 1%, #eeeeee 100%);

    &:focus {
      outline: none;
    }

    &::-webkit-slider-thumb {
      position: relative;
      -webkit-appearance: none;
      appearance: none;
      width: 2.3rem;
      height: 2.3rem;
      border-radius: 50%;
      background: white;
      border: 0.7rem solid #f36621;
      cursor: pointer;
      z-index: 2;
    }

    &::-ms-fill-lower {
      background: #f36621;
    }
  }

  .comment {
    width: 100%;
    margin-top: 5rem;
    border: none;
    border-bottom: 0.2rem solid #cbcbcb;

    &:focus {
      outline: 0;
      border-bottom: 0.2rem solid $color-orange;
    }

    &::placeholder {
      color: #656565;
    }
  }
}
